{% extends 'profile/layouts/admin/admin_layout.html' %}

{% load static %}

{% block css %}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
    </style>
{% endblock css %}

{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Pricelist Mobil</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <a href="{% url 'profile:admin_pricelist_create' %}"> 
        <button type="button" class="btn btn-info mt-2 mb-4"><i class="bi bi-plus"></i> Tambah Pricelist Mobil</button>
    </a>

    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info">Pricelist Mobil</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                

                <div class="table-responsive py-3">
                    <table class="table table-striped table-bordered dt-responsive nowrap" width="100%" id="table-list">
                        <thead class="bg-info text-white">
                            <th>No</th>
                            <th>Nama Mobil</th>
                            <th>Type</th>
                            <th>Manual</th>
                            <th>Matic</th>
                            <th>Status</th>
                            <th>Aksi</th>
                        </thead>
                        <tbody>
                            {% for dt_pricelist in pricelist %}
                            <tr>
                                <td>{{ forloop.counter }}</td>
                                <td>{{dt_pricelist.id_mobil.nama}}</td>
                                <td>{{dt_pricelist.typex}}</td>
                                <td>{{dt_pricelist.manual}}</td>
                                <td>{{dt_pricelist.matic}}</td>
                                <td class="text-center">
                                    {% if dt_pricelist.deleted_at %}
                                        <a href="" title="Non Aktif" class="btn btn-md bg-danger btn-icon text-white" type="button">
                                            {% if dt_pricelist.deleted_at %}Not Published{% else %}Published{% endif %}
                                        </a>
                                    {% else %}
                                        <a href="" title="Re Aktif" class="btn btn-md bg-success btn-icon text-white" type="button">
                                            {% if dt_pricelist.deleted_at %}Not Published{% else %}Published{% endif %}
                                        </a>
                                    {% endif %}
                                </td>
                                <td class="text-center">
                                    <button class="btn btn-info pass-data" title="Detail"
                                    data-toggle="modal" data-target="#modal-center"
                                    data-nama="{{ dt_pricelist.id_mobil.nama }}"
                                    data-type="{{ dt_pricelist.typex }}"
                                    data-manual="{{ dt_pricelist.manual }}"
                                    data-matic="{{ dt_pricelist.matic }}">
                                        <i class="fa fa-eye"></i>
                                    </button>
                                    <a href="{% url 'profile:admin_pricelist_edit' dt_pricelist.id %}" title="Edit" class="btn btn-warning"><i class="fa fa-edit"></i></a>
                                    <a {% if dt_pricelist.deleted_at %} href="{% url 'profile:admin_pricelist_restore' dt_pricelist.id %}" {% else %} href="{% url 'profile:admin_pricelist_soft_delete' dt_pricelist.id %}" {% endif %} class="btn {% if dt_pricelist.deleted_at %} btn-success {% else %} btn-danger {% endif %}" 
                                    {% if dt_pricelist.deleted_at %} title="Restore" {% else %} title="Arsipkan" {% endif %}>
                                        {% if dt_pricelist.deleted_at %}
                                            <i class="fa fa-refresh"></i>
                                        {% else %}
                                            <i class="fa fa-trash"></i>
                                        {% endif %}
                                    </a>
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <nav aria-label="Page navigation example">
            <ul class="pagination justify-content-center">
                {% if newss.has_other_pages %}
                    {% if newss.has_previous %}
                        <li class="page-item">
                            <a class="page-link" href="?page={{ newss.previous_page_number }}" tabindex="-1">Previous</a>
                        </li>
                    {% endif %}

                    {% for i in newss.paginator.page_range %}
                        {% if newss.number == i %}
                            <li class="page-item disabled">
                                <a class="page-link" href="#" tabindex="-1">{{ i }}</a>
                            </li>
                        {% else %}
                            <li class="page-item"><a class="page-link" href="?page={{ i }}">{{ i }}</a></li>
                        {% endif %}
                    {% endfor %}

                    {% if newss.has_next %}
                        <li class="page-item">
                            <a class="page-link" href="?page={{ newss.next_page_number }}">Next</a>
                        </li>
                    {% endif %}
                {% endif %}
            </ul>
        </nav>
    </div>

    <div class="modal fade" id="modal-center" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Detail User</h5>
                <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label for="detail-nama">Nama</label>
                        <input type="text" class="form-control" id="detail-nama" disabled>
                    </div>
                    <div class="form-group">
                        <label for="detail-tanggal_lahir">Type</label>
                        <input type="text" class="form-control" id="detail-type" disabled>
                    </div>
                    <div class="form-group">
                        <label for="detail-tanggal_lahir">Harga Type Manual</label>
                        <input type="text" class="form-control" id="detail-manual" disabled>
                    </div>
                    <div class="form-group">
                        <label for="detail-tanggal_lahir">Harga Type Matic</label>
                        <input type="text" class="form-control" id="detail-matic" disabled>
                    </div>
                </div>
                <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                <!-- <button type="button" class="btn btn-info">Save changes</button> -->
                </div>
            </div>
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <!-- <script src="{% static 'admin/js/admin/admin-aksi.js' %}"></script> -->
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
            
            $('.pass-data').click(function(){
                $('#detail-nama').val($(this).attr('data-nama'));
                $('#detail-type').val($(this).attr('data-type'));
                // $('#detail-manual').val($(this).attr('data-manual'));
                var dataManual = $(this).attr('data-manual');
                var formattedManual = formatRupiah(dataManual);
                $('#detail-manual').val(formattedManual);
                
                var datamatic = $(this).attr('data-matic');
                var formattedmatic = formatRupiah(datamatic);
                $('#detail-matic').val(formattedmatic);
                // $('#avatarnya').attr('src', $(this).attr('data-avatar'));
            });
            function formatRupiah(angka) {
                var numberString = angka.toString();
                var split = numberString.split(',');
                var sisa = split[0].length % 3;
                var rupiah = split[0].substr(0, sisa);
                var ribuan = split[0].substr(sisa).match(/\d{3}/gi);
                
                if (ribuan) {
                    var separator = sisa ? '.' : '';
                    rupiah += separator + ribuan.join('.');
                }
                
                rupiah = split[1] != undefined ? rupiah + ',' + split[1] : rupiah;
                return 'Rp ' + rupiah;
            }
        });
    
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/kategori/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Kategori Mobil berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/kategori/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Kategori Mobil gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/kategori/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Kategori Mobil berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/kategori/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Kategori Mobil gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}